import { jsx as _jsx } from "react/jsx-runtime";
// (C) 2020-2026 GoodData Corporation
import { useMemo } from "react";
import { useDashboardComponentsContext } from "../../dashboardContexts/DashboardComponentsContext.js";
/**
 * @internal
 */
export function DashboardInsightMenuTitle(props) {
    const { insight, widget } = props;
    const { InsightMenuTitleComponentProvider } = useDashboardComponentsContext();
    const InsightMenuTitleComponent = useMemo(() => InsightMenuTitleComponentProvider(insight, widget), [InsightMenuTitleComponentProvider, insight, widget]);
    return _jsx(InsightMenuTitleComponent, { ...props });
}
